Subject: bug#50187: 28.0.50; tramp is called from calendar

From: Michael Heerdegen <[email-masked]>
Date: Tue, 23 Aug 2022 21:13:56 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> The backtrace shows that Emacs was trying to load cal-move.so, and
> that's presumably something that Emacs tries to do when resolving the
> `autoload' definition of `calendar-cursor-to-visible-date', I think?
> (If I remember correctly, Emacs looks for all of so/elc/el, if Emacs is
> built with module support, when doing a `require'/`autoload' lookup.)

".so" is the first prefix in the return value of (get-load-suffixes) for
me - so it is tried first.

And we see in the backtrace that `calendar-basic-setup' is not done.
And why else should a call of `calendar-cursor-to-visible-date' directly
invoke tramp?  If an Elisp function would be involved, it would appear
in the backtrace.

Michael.